org.tmatesoft.svn.core.wc2

## Class SvnMergeResult

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnMergeResult

    public class SvnMergeResult
    extends java.lang.Object

Represents a result of a text or properties merge operation. This class combines the following information about a merge result: a status type indicating how merge finished; base and actual (working) properties.

Version:
  1.7
Author:
  TMate Software Ltd.

### Method Summary

Methods
`static SvnMergeResult` `create(SVNStatusType mergeOutcome)` Creates merge result object and initializes it with merge outcome (status).
`SVNProperties` `getActualProperties()` Returns all merge actual (working) properties.
`SVNProperties` `getBaseProperties()` Returns all base (pristine) properties.
`SVNStatusType` `getMergeOutcome()` Returns merge outcome (status).
`void` `setActualProperties(SVNProperties actualProperties)` Sets all merge actual (working) properties.
`void` `setBaseProperties(SVNProperties baseProperties)` Sets all base (pristine) properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static SvnMergeResult create(SVNStatusType mergeOutcome)

Creates merge result object and initializes it with merge outcome (status).

Parameters:
  `mergeOutcome` - status of merge
Returns:
  newly created merge result object

#### getMergeOutcome

    public SVNStatusType getMergeOutcome()

Returns merge outcome (status).

Returns:
  merge outcome (status)

#### getActualProperties

    public SVNProperties getActualProperties()

Returns all merge actual (working) properties.

Returns:
  actual properties

#### setActualProperties

    public void setActualProperties(SVNProperties actualProperties)

Sets all merge actual (working) properties.

Parameters:
  `actualProperties` - actual properties

#### getBaseProperties

    public SVNProperties getBaseProperties()

Returns all base (pristine) properties.

Returns:
  base properties

#### setBaseProperties

    public void setBaseProperties(SVNProperties baseProperties)

Sets all base (pristine) properties.

Parameters:
  `baseProperties` - base properties